/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Swarco Traffic Systems GmbH
 * Entwicklung
 * Adolf-Dambach-Strae
 * D-76571 Gaggenau
 * Phone: +49 (0)7225-64-0
 * Fax: +49 (0)7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.ste.stealgsba.algorithmen.lib;

/**
 * Globale Definitionen fr die JUnit-Tests.
 *
 * @version $Revision: 1.7 $ / $Date: 2015/09/30 11:38:49 $ / ($Author: Asal $)
 *
 * @author Swarco Traffic Systems GmbH
 * @author Rolf Asal
 *
 */
public class DefinitionenGlobal
{
	/**
	 * IP-Adresse des zu verwendenden Datenverteilers.
	 */
	private static String  m_davCommunicationAddress = "192.0.1.138";	
//	private static String  m_davCommunicationAddress = "192.0.1.90";	
//	private static String  m_davCommunicationAddress = "192.0.1.111";	
//	private static String  m_davCommunicationAddress = "localhost";	
	/**
	 * Port des zu verwendenden Datenverteilers.
	 */
//  private static int m_davCommunicationSubAddress = 8085;  
  private static int m_davCommunicationSubAddress = 8083;  
//  private static int m_davCommunicationSubAddress = 8089;  
	/**
	 * DAV-Benutzer
	 */
  private static String m_userName = "Tester";
	/**
	 * Passwort fr den DAV-Benutzer.
	 */
  private static String m_userPassword = "geheim";
  
	/**
	 * Aufrufargument "-datenverteiler".
	 */
	private static String m_argumentDav = "-datenverteiler=" + m_davCommunicationAddress + ":" + m_davCommunicationSubAddress;
	/**
	 * Aufrufargument "-benutzer".
	 */
	private static String m_argumentBenutzer = "-benutzer=" + m_userName;
	/**
	 * Aufrufargument "-debugLevelStdErrText".
	 */
	private static String m_argumentDebugLevelStdErrText = "-debugLevelStdErrText=CONFIG";
	/**
	 * Aufrufargument "-authentifizierung".
	 */
	private static String m_argumentAuthentifizierung = "-authentifizierung=C:\\Kernsoftware-3.4.10\\skripte-dosshell\\passwd";
  /**
   * Aufrufargument "-Anlage".
   */
//  private static String m_anlage = "bw.uz.A8.sba_ulm.streckenBeeinflussungsAnlage.SBA";
  private static String m_anlage = "bw.uz.A8.sba_stgt.streckenBeeinflussungsAnlage.SBA";
//  private static String m_anlage = "bw.uz.B27.streckenBeeinflussungsAnlage.testSBA1";
//  private static String m_anlage = "st.sba.uz.a14.streckenBeeinflussungsAnlage.SBA";

  /**
   * Aufrufargument "-ZyklusLaenge".
   */
  private static String m_zyklusLaenge = "-ZyklusLaenge=600000000";
  /**
   * Aufrufargument "-MaxZyklusDauer".
   */
  private static String m_maxZyklusDauer = "-MaxZyklusDauer=10000000";
  /**
   * Aufrufargument "-DeltaPruefen".
   */
  private static String m_deltaPruefen = "-DeltaPruefen=false";
	

	/**
   * Gibt die IP-Adresse des zu verwendenden Datenverteilers zurck.
	 * @return IP-Adresse des Datenverteilers.
	 */
	public static String getDavCommunicationAddress()
	{
		return m_davCommunicationAddress;
	}
	/**
	 * Gibt den Port des zu verwendenden Datenverteilers zurck.
	 * @return Port des zu verwendenden Datenverteilers.
	 */
	public static int getDavCommunicationSubAddress()
	{
		return m_davCommunicationSubAddress;
	}
	/**
	 * Gibt den DAV-Benutzer zurck.
	 * @return DAV-Benutzer.
	 */
	public static String getUserName()
	{
		return m_userName;
	}
	/**
	 * Gibt das Passwort fr den DAV-Benutzer zurck.
	 * @return Passwort fr den DAV-Benutzer.
	 */
	public static String getUserPassword()
	{
		return m_userPassword;
	}
	/**
	 * Gibt das Aufrufargument "-datenverteiler" zurck.
	 * @return Aufrufargument "-datenverteiler".
	 */
	public static String getArgumentDav()
	{
		return m_argumentDav;
	}
	/**
	 * Gibt das Aufrufargument "-benutzer" zurck.
	 * @return Aufrufargument "-benutzer".
	 */
	public static String getArgumentBenutzer()
	{
		return m_argumentBenutzer;
	}
	/**
	 * Gibt das Aufrufargument "-debugLevelStdErrText" zurck.
	 * @return Aufrufargument "-debugLevelStdErrText".
	 */
	public static String getArgumentDebugLevelStdErrText()
	{
		return m_argumentDebugLevelStdErrText;
	}
	/**
	 * Gibt das Aufrufargument "-authentifizierung" zurck.
	 * @return Aufrufargument "-authentifizierung".
	 */
	public static String getArgumentAuthentifizierung()
	{
		return m_argumentAuthentifizierung;
	}
	/**
	 * Gibt das Aufrufargument "-anlage" zurck.
	 *
	 * @return Aufrufargument "-anlage".
	 */
	public static String getAnlage()
	{
		return m_anlage;
	}
	/**
	 * Gibt den Wert der Variable m_zyklusLaenge zurck.
	 *
	 * @return Wert der Variable m_zyklusLaenge.
	 */
	public static String getZyklusLaenge()
	{
		return m_zyklusLaenge;
	}
	/**
	 * Gibt den Wert der Variable m_maxZyklusDauer zurck.
	 *
	 * @return Wert der Variable m_maxZyklusDauer.
	 */
	public static String getMaxZyklusDauer()
	{
		return m_maxZyklusDauer;
	}
  /**
	 * Gibt den Wert der Variable m_deltaPruefen zurck.
	 *
	 * @return Wert der Variable m_deltaPruefen.
	 */
	public static String getDeltaPruefen()
	{
		return m_deltaPruefen;
	}

}
