/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Swarco Traffic Systems GmbH
 * Entwicklung
 * Adolf-Dambach-Strae
 * D-76571 Gaggenau
 * Phone: +49 (0)7225-64-0
 * Fax: +49 (0)7225-64-300
 * mailto: office.sts@swarco.de
 */

package de.bsvrz.ste.stealgsba.algorithmen.lib;

import de.bsvrz.dav.daf.main.config.SystemObject;

/**
 * Diese Klasse speichert die Daten der Attributgruppe 'atg.punktLiegtAufLinienObjekt'.
 * ber Getter und Setter kann auf die Daten zugegriffen werden.
 *
 * @version $Revision: 1.2 $ / $Date: 2012/07/23 06:02:36 $ / ($Author: Asal $)
 *
 * @author Swarco Traffic Systems GmbH
 * @author Rolf Asal
 *
 */
public class PunktLiegtAufLinienObjekt
{
	/**
	 * Linienreferenz.
	 */
	private SystemObject m_linienReferenz;
	/**
	 * Offset in Zentimeter.
	 */
	private long m_offset;
	
	/**
	 * Default-Konstruktor ohne weitere Funktion.
	 */
	public PunktLiegtAufLinienObjekt()
	{		
	}
	
	/**
	 * Gibt den Offset in Zentimeter zurck.
	 * @return Offset in Zentimeter.
	 */
	public long getOffset()
	{
		return m_offset;
	}

	/**
	 * Gibt die Linienreferenz zurck.
	 * @return Linienreferenz.
	 */
	public SystemObject getLinienReferenz()
	{
		return m_linienReferenz;
	}

	/**
	 * Setzt den Wert der Linienreferenz.
	 * @param linienReferenz zu setzender Wert der Linienreferenz.
	 */
	public void setLinienReferenz(SystemObject linienReferenz)
	{
		m_linienReferenz = linienReferenz;
	}

	/**
	 * Setzt den Wert der Variablen m_offset.
	 * @param offset zu setztender Wert der Variablen m_offset.
	 */
	public void setOffset(long offset)
	{
		m_offset = offset;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "PunktLiegtAufLinienObjekt [m_linienReferenz=" + m_linienReferenz + ", m_offset=" + m_offset + "]";
	}

}
